### Method

# Fwupd SecurityAttr set_plugin

#### Declaration [src]

    void
    fwupd_security_attr_set_plugin (
      FwupdSecurityAttr* self,
      const gchar* plugin
    )

#### Description [src]

Sets the plugin that created the attribute.

Available since: | 1.5.0

#### Parameters

`plugin` | `const gchar*`
| The plugin name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.